package com.scpyun.platform.jilinsscgsdp.bean.vo;

import com.scpyun.base.bean.User;

import javax.validation.constraints.NotNull;

public class FousAreaVo {

    private String occurrenceStartDate;
    private String occurrenceEndDate;
    @NotNull
    private String eventCategoryId;
    private String eventTypeId;
    private String cityId;
    private String areaId;
    private String streetId;
    private String communityId;
    private String id;           // 事件ID
    private String eventCode;    // 事件编码
    private String eventCategoryName;
    private String eventTypeName;
    private String address;
    private String disputeDescription;
    private String statusName;    // 办结状态名称
    private String occurrenceTime; // 发生时间
    private String status;
    private String month;
    private String company_grade;
    private String company_id;

    public String getOccurrenceStartDate() {
        return occurrenceStartDate;
    }

    public void setOccurrenceStartDate(String occurrenceStartDate) {
        this.occurrenceStartDate = occurrenceStartDate;
    }

    public String getOccurrenceEndDate() {
        return occurrenceEndDate;
    }

    public void setOccurrenceEndDate(String occurrenceEndDate) {
        this.occurrenceEndDate = occurrenceEndDate;
    }

    public String getEventCategoryId() {
        return eventCategoryId;
    }

    public void setEventCategoryId(String eventCategoryId) {
        this.eventCategoryId = eventCategoryId;
    }

    public String getEventTypeId() {
        return eventTypeId;
    }

    public void setEventTypeId(String eventTypeId) {
        this.eventTypeId = eventTypeId;
    }

    public String getCityId() {
        return cityId;
    }

    public void setCityId(String cityId) {
        this.cityId = cityId;
    }

    public String getAreaId() {
        return areaId;
    }

    public void setAreaId(String areaId) {
        this.areaId = areaId;
    }

    public String getStreetId() {
        return streetId;
    }

    public void setStreetId(String streetId) {
        this.streetId = streetId;
    }

    public String getCommunityId() {
        return communityId;
    }

    public void setCommunityId(String communityId) {
        this.communityId = communityId;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getEventCode() {
        return eventCode;
    }

    public void setEventCode(String eventCode) {
        this.eventCode = eventCode;
    }

    public String getEventCategoryName() {
        return eventCategoryName;
    }

    public void setEventCategoryName(String eventCategoryName) {
        this.eventCategoryName = eventCategoryName;
    }

    public String getEventTypeName() {
        return eventTypeName;
    }

    public void setEventTypeName(String eventTypeName) {
        this.eventTypeName = eventTypeName;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getDisputeDescription() {
        return disputeDescription;
    }

    public void setDisputeDescription(String disputeDescription) {
        this.disputeDescription = disputeDescription;
    }

    public String getStatusName() {
        return statusName;
    }

    public void setStatusName(String statusName) {
        this.statusName = statusName;
    }

    public String getOccurrenceTime() {
        return occurrenceTime;
    }

    public void setOccurrenceTime(String occurrenceTime) {
        this.occurrenceTime = occurrenceTime;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getMonth() {
        return month;
    }

    public void setMonth(String month) {
        this.month = month;
    }

    public String getCompany_grade() {
        return company_grade;
    }

    public void setCompany_grade(String company_grade) {
        this.company_grade = company_grade;
    }

    public String getCompany_id() {
        return company_id;
    }

    public void setCompany_id(String company_id) {
        this.company_id = company_id;
    }
}
